from cpl_query.extension import List

from bot_api.abc.dto_abc import DtoABC
from bot_data.filtered_result import FilteredResult


class ServerFilteredResultDTO(DtoABC, FilteredResult):

    def __init__(self, result: List = None, total_count: int = 0):
        DtoABC.__init__(self)
        FilteredResult.__init__(self, result, total_count)

    def from_dict(self, values: dict):
        self._result = values['servers']
        self._total_count = values['totalCount']

    def to_dict(self) -> dict:
        return {
            'servers': self.result,
            'totalCount': self.total_count
        }
